Bug 60877 - Update lang/onyx port to 5.0.0
Summary: Update lang/onyx port to 5.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-04 01:30 UTC by Jason Evans
Modified: 2004-01-09 16:13 UTC (History)
0 users

See Also:


Attachments
onyx_port_5_0_0.diff (4.62 KB, patch)
2004-01-04 01:30 UTC, Jason Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Evans 2004-01-04 01:30:16 UTC
	The patch updates the lang/onyx port to 5.0.0.
Comment 1 Sergei Kolobov freebsd_committer 2004-01-05 07:02:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Take it.
Comment 2 Sergei Kolobov freebsd_committer 2004-01-06 09:04:18 UTC
Jason,

I am about to commit your update, but have a couple of questions:

1. Since you are the software's author, perhaps you should maintain 
   the port, too? You certainly in the best position for that.

2. This port does not conform to hier(7) at the moment, as it installs
   documentation in a non-standard location
   (${PREFIX}/share/onyx-%%VERSION%%/doc).  Is there a reason for this? 
   Can it be changed to ${PREFIX}/share/doc/onyx instead? 
   In fact, I can force it by overridding docs installation in port's 
   Makefile (I have a patch ready), but prefer if it's fixed upstream.
   A configure option to specify docs dir would be fine. (--with-docdir
   is quite common, for that matter).

Sergei
Comment 3 Sergei Kolobov freebsd_committer 2004-01-06 09:04:38 UTC
State Changed
From-To: open->feedback

Awaiting submitter's feedback.
Comment 4 Jason Evans 2004-01-08 18:54:01 UTC
On Tue, Jan 06, 2004 at 12:04:18PM +0300, Sergei Kolobov wrote:
> 
> 1. Since you are the software's author, perhaps you should maintain 
>    the port, too? You certainly in the best position for that.

Sure, I can take back maintainership.

> 2. This port does not conform to hier(7) at the moment, as it installs
>    documentation in a non-standard location
>    (${PREFIX}/share/onyx-%%VERSION%%/doc).  Is there a reason for this? 
>    Can it be changed to ${PREFIX}/share/doc/onyx instead? 
>    In fact, I can force it by overridding docs installation in port's 
>    Makefile (I have a patch ready), but prefer if it's fixed upstream.
>    A configure option to specify docs dir would be fine. (--with-docdir
>    is quite common, for that matter).

Whoops, no, there's no overriding reason that the documentation needs to go
where it is.  I'll fix that in the next release.  In the meanwhile, it's
probably best to leave the docs where they are, since the man pages refer
to the present location.

Thanks,
Jason
Comment 5 Sergei Kolobov freebsd_committer 2004-01-09 16:13:02 UTC
State Changed
From-To: feedback->closed

Committed, thanks! 
Maintainership is assigned to you - again ;)